import { Regl, Buffer } from "regl";
import { CoordinateSystem } from "./coordinates/coordinate-system";
import { Viewport, Renderable } from "./common";
declare type CandyGraphOptions = {
    canvas?: HTMLCanvasElement;
    alpha?: boolean;
};
export declare class CandyGraph {
    readonly regl: Regl;
    readonly canvas: HTMLCanvasElement;
    private commandCache;
    private scope;
    private positionBufferCache;
    constructor(options?: CandyGraphOptions);
    clear: (color: [number, number, number, number]) => void;
    render: (coords: CoordinateSystem, viewport: Viewport, renderable: Renderable) => void;
    private recursiveRender;
    hasPositionBuffer: (name: string) => boolean;
    getPositionBuffer: (name: string) => Buffer | undefined;
    setPositionBuffer: (name: string, data: number[] | number[][]) => void;
    clearPositionBuffers: () => void;
    destroy(): void;
    private getCommand;
    copyTo(sourceViewport: Viewport, destinationCanvas?: HTMLCanvasElement, destinationViewport?: Viewport): HTMLCanvasElement;
}
export {};
