export var RenderableType;
(function (RenderableType) {
    RenderableType[RenderableType["Primitive"] = 0] = "Primitive";
    RenderableType[RenderableType["Composite"] = 1] = "Composite";
})(RenderableType || (RenderableType = {}));
export class Primitive {
    constructor() {
        this.kind = RenderableType.Primitive;
    }
}
export class Composite {
    constructor() {
        this.kind = RenderableType.Composite;
        this.scope = null;
    }
    props(coords) {
        return {};
    }
    dispose() {
        function recurse(renderable) {
            if (Array.isArray(renderable)) {
                for (const element of renderable) {
                    recurse(element);
                }
            }
            else if (renderable.kind === RenderableType.Composite) {
                recurse(renderable.children());
            }
            else if (renderable.kind === RenderableType.Primitive) {
                renderable.dispose();
            }
        }
        recurse(this.children());
    }
}
//# sourceMappingURL=common.js.map