import { CandyGraph } from "../candygraph";
import { CoordinateSystem } from "../coordinates/coordinate-system";
import { Composite, Renderable, Vector4, Vector2, NumberArray } from "../common";
import { Font } from "../primitives/font";
export declare type Options = {
    axisColor?: Vector4;
    axisWidth?: number;
    labelAnchor?: Vector2;
    labelAngle?: number;
    labelColor?: Vector4;
    labelPad?: number;
    labelSide?: -1 | 1;
    labelSize?: number;
    tickColor?: Vector4;
    tickLength?: number;
    tickOffset?: number;
    tickWidth?: number;
    minorTicks?: NumberArray;
    minorTickColor?: Vector4;
    minorTickLength?: number;
    minorTickOffset?: number;
    minorTickWidth?: number;
};
export declare function createAxis(cg: CandyGraph, coords: CoordinateSystem, start: Vector2, end: Vector2, ticks: NumberArray, labels: string[], font: Font, options?: Options): Axis;
export declare class Axis extends Composite {
    private axis;
    private texts;
    private ticks;
    private minorTicks;
    constructor(cg: CandyGraph, coords: CoordinateSystem, start: Vector2, end: Vector2, ticks: NumberArray, labels: string[], font: Font, options?: Options);
    children(): Renderable;
}
