import { CandyGraph } from "../candygraph";
import { Composite, Renderable, NumberArray } from "../common";
import { CartesianCoordinateSystem } from "../coordinates/cartesian";
import { Options as AxisOptions } from "./axis";
import { Font } from "../primitives/font";
declare type Options = {
    axisHigh?: number;
    axisIntercept?: number;
    axisLow?: number;
    labelFormatter?: (n: number) => string;
    minorTickCount?: number;
    tickOrigin?: number;
    tickStep?: number;
} & AxisOptions;
declare type Info = {
    ticks: NumberArray;
    minorTicks: NumberArray;
};
export declare function createOrthoAxis(cg: CandyGraph, coords: CartesianCoordinateSystem, axis: "x" | "y", font: Font, options?: Options): OrthoAxis;
export declare class OrthoAxis extends Composite {
    readonly info: Info;
    private axis;
    constructor(cg: CandyGraph, coords: CartesianCoordinateSystem, axis: "x" | "y", font: Font, options?: Options);
    children(): Renderable;
}
export {};
