import { DrawCommand } from "regl";
import { CandyGraph } from "../candygraph";
import { Composite, Renderable } from "../common";
import { CoordinateSystem } from "../coordinates/coordinate-system";
export declare function createScissor(cg: CandyGraph, x: number, y: number, width: number, height: number, screenSpace: boolean, children: Renderable): Scissor;
export declare class Scissor extends Composite {
    x: number;
    y: number;
    width: number;
    height: number;
    screenSpace: boolean;
    private _children;
    readonly scope: DrawCommand;
    constructor(cg: CandyGraph, x: number, y: number, width: number, height: number, screenSpace: boolean, children: Renderable);
    props(coords: CoordinateSystem): {
        box: {
            x: number;
            y: number;
            width: number;
            height: number;
        };
    };
    children(): Renderable;
}
