import { Composite } from "../common";
export function createScissor(cg, x, y, width, height, screenSpace, children) {
    return new Scissor(cg, x, y, width, height, screenSpace, children);
}
export class Scissor extends Composite {
    constructor(cg, x, y, width, height, screenSpace, children) {
        super();
        this.x = x;
        this.y = y;
        this.width = width;
        this.height = height;
        this.screenSpace = screenSpace;
        this.scope = cg.regl({
            scissor: {
                enable: true,
                box: cg.regl.prop("box"),
            },
        });
        this._children = children;
    }
    props(coords) {
        if (this.screenSpace) {
            return {
                box: { x: this.x, y: this.y, width: this.width, height: this.height },
            };
        }
        const xy0 = coords.toRange([this.x, this.y]);
        const xy1 = coords.toRange([this.x + this.width, this.y + this.height]);
        const wh = [xy1[0] - xy0[0], xy1[1] - xy0[1]];
        return { box: { x: xy0[0], y: xy0[1], width: wh[0], height: wh[1] } };
    }
    children() {
        return this._children;
    }
}
//# sourceMappingURL=scissor.js.map