import { DrawCommand } from "regl";
import { Vector2 } from "../common";
export declare enum Kind {
    Cartesian = 0,
    Polar = 1
}
export declare abstract class CoordinateSystem {
    abstract readonly kind: Kind;
    abstract readonly glsl: string;
    abstract readonly scope: DrawCommand;
    abstract props(): Record<string, unknown>;
    abstract toDomain(rangeVector: Vector2): Vector2;
    abstract toRange(domainVector: Vector2): Vector2;
}
