import { Regl, Buffer, DrawCommand } from "regl";
import { CandyGraph } from "../candygraph";
import { Primitive, NumberArray } from "../common";
import { Dataset } from "./dataset";
declare type Options = {
    colors?: NumberArray | Dataset;
    borderColors?: NumberArray | Dataset;
    radii?: number | NumberArray | Dataset;
    borderWidths?: number | NumberArray | Dataset;
};
export declare function createCircles(cg: CandyGraph, xs: NumberArray | Dataset, ys: NumberArray | Dataset, options?: Options): Circles;
export declare class Circles extends Primitive {
    private regl;
    private positionBuffer;
    readonly xs: Dataset;
    readonly ys: Dataset;
    readonly colors: Dataset;
    readonly radii: Dataset;
    readonly borderWidths: Dataset;
    readonly borderColors: Dataset;
    constructor(regl: Regl, positionBuffer: Buffer, xs: NumberArray | Dataset, ys: NumberArray | Dataset, options?: Options);
    command(glsl: string): DrawCommand;
    render(command: DrawCommand): void;
    dispose(): void;
}
export {};
