import { Regl, Buffer } from "regl";
import { CandyGraph } from "../candygraph";
declare type Data = number | number[] | number[][] | Float32Array | Dataset;
export declare function createDataset(regl: Regl, data: Data): Dataset;
export declare function createDatasetPublic(cg: CandyGraph, data: Data): Dataset;
export declare class Dataset {
    readonly buffer: Buffer;
    private length;
    private disposed;
    constructor(regl: Regl, data: number | number[] | number[][] | Float32Array);
    update: (data: number | number[] | number[][] | Float32Array) => this;
    dispose(): void;
    count(size: number): number;
    divisor(instances: number, size: number): number;
    private assertFits;
}
export {};
