import { Regl, Texture } from "regl";
import { CandyGraph } from "../candygraph";
import { Vector2 } from "../common";
declare type Glyph = {
    id: number;
    xoffset: number;
    yoffset: number;
    width: number;
    height: number;
    xadvance: number;
    uv: Vector2;
};
export declare function createFont(cg: CandyGraph, image: HTMLImageElement, json: any): Font;
export declare class Font {
    readonly texture: Texture;
    readonly lineHeight: number;
    readonly glyphs: Glyph[];
    private readonly kernTable;
    private readonly maxid;
    constructor(regl: Regl, image: HTMLImageElement, json: any);
    kern(first: number, second: number): number;
    dispose(): void;
}
export {};
