import { Regl, Buffer, DrawCommand } from "regl";
import { CandyGraph } from "../candygraph";
import { Primitive, NumberArray } from "../common";
import { Dataset } from "./dataset";
declare type Options = {
    widths?: number | NumberArray | Dataset;
    colors?: NumberArray | Dataset;
};
export declare function createLineSegments(cg: CandyGraph, points: NumberArray | Dataset, options?: Options): LineSegments;
export declare class LineSegments extends Primitive {
    private regl;
    private segmentGeometry;
    readonly points: Dataset;
    readonly widths: Dataset;
    readonly colors: Dataset;
    constructor(regl: Regl, segmentGeometry: Buffer, points: NumberArray | Dataset, options?: Options);
    command(glsl: string): DrawCommand;
    render(command: DrawCommand): void;
    dispose(): void;
}
export {};
