import { Regl, Buffer, DrawCommand } from "regl";
import { CandyGraph } from "../candygraph";
import { Primitive, NumberArray } from "../common";
import { Dataset } from "./dataset";
declare type Options = {
    widths?: number | NumberArray | Dataset;
    colors?: NumberArray | Dataset;
};
export declare function createLineStrip(cg: CandyGraph, xs: NumberArray | Dataset, ys: NumberArray | Dataset, options?: Options): LineStrip;
export declare class LineStrip extends Primitive {
    private regl;
    private roundCapJoin;
    private geometryCount;
    readonly xs: Dataset;
    readonly ys: Dataset;
    readonly widths: Dataset;
    readonly colors: Dataset;
    constructor(regl: Regl, roundCapJoin: Buffer, geometryCount: number, xs: NumberArray | Dataset, ys: NumberArray | Dataset, options?: Options);
    command(glsl: string): DrawCommand;
    render(command: DrawCommand): void;
    dispose(): void;
}
export {};
