import { Regl, DrawCommand } from "regl";
import { CandyGraph } from "../candygraph";
import { Primitive, NumberArray } from "../common";
import { Dataset } from "./dataset";
declare type Options = {
    colors?: NumberArray | Dataset;
    scales?: NumberArray | Dataset;
    rotations?: number | NumberArray | Dataset;
};
export declare function createShapes(cg: CandyGraph, shape: NumberArray | Dataset, xs: NumberArray | Dataset, ys: NumberArray | Dataset, options?: Options): Shapes;
export declare class Shapes extends Primitive {
    private regl;
    shape: Dataset;
    xs: Dataset;
    ys: Dataset;
    scales: Dataset;
    rotations: Dataset;
    colors: Dataset;
    constructor(regl: Regl, shape: NumberArray | Dataset, xs: NumberArray | Dataset, ys: NumberArray | Dataset, options?: Options);
    command(glsl: string): DrawCommand;
    render(command: DrawCommand): void;
    dispose(): void;
}
export {};
