import { Regl, Buffer, DrawCommand } from "regl";
import { CandyGraph } from "../candygraph";
import { Primitive, NumberArray } from "../common";
import { Dataset } from "./dataset";
declare type Options = {
    widths?: number | NumberArray | Dataset;
    colors?: NumberArray | Dataset;
};
export declare function createVLines(cg: CandyGraph, lines: NumberArray | Dataset, options?: Options): VLines;
export declare class VLines extends Primitive {
    private regl;
    private segmentGeometry;
    readonly lines: Dataset;
    readonly widths: Dataset;
    readonly colors: Dataset;
    constructor(regl: Regl, segmentGeometry: Buffer, lines: NumberArray | Dataset, options?: Options);
    command(glsl: string): DrawCommand;
    render(command: DrawCommand): void;
    dispose(): void;
}
export {};
