import { Regl, Buffer, DrawCommand } from "regl";
import { CandyGraph } from "../candygraph";
import { Primitive, NumberArray } from "../common";
import { Dataset } from "./dataset";
declare type Options = {
    colors?: NumberArray | Dataset;
    radii?: number | NumberArray | Dataset;
};
export declare function createWedges(cg: CandyGraph, xys: NumberArray | Dataset, angles: NumberArray | Dataset, options?: Options): Wedges;
export declare class Wedges extends Primitive {
    private regl;
    private positionBuffer;
    readonly xys: Dataset;
    readonly angles: Dataset;
    readonly colors: Dataset;
    readonly radii: Dataset;
    constructor(regl: Regl, positionBuffer: Buffer, xys: NumberArray | Dataset, angles: NumberArray | Dataset, options?: Options);
    command(glsl: string): DrawCommand;
    render(command: DrawCommand): void;
    dispose(): void;
}
export {};
